# Coverage settings
[coverage:report]
exclude_lines =
    pragma: no cover
    def __repr__
    def __str__
    \s+pass(\s+|$)
    except Exception

[coverage:run]
branch = True
omit =
    */apps.py
    */wsgi.py
    */settings.py
    */config.py
    */tests.py
    */manage.py
    */__init__.py
    */tests/*
    */venv/*
    */migrations/*
    */htmlcov/*
    *.tox/*

[coverage:html]
title = WIMS-LTI Coverage


# Tox settings
[tox:tox]
skipsdist = True
distshare = {homedir}/.tox/distshare
envlist = py{36,37,38}
skip_missing_interpreters = true
indexserver =
    pypi = https://pypi.python.org/simple

[testenv]
passenv = TRAVIS TRAVIS_*
setenv =
    PYTHONPATH = {toxinidir}
    DJANGO_SETTINGS_MODULE=wimsLTI.settings
commands =
    python3 manage.py makemigrations
    python3 manage.py migrate
    pycodestyle lti_app
    coverage run manage.py test -v3
    coverage xml
    coverage report
deps =
    -rrequirements.txt
    coverage
    pycodestyle

# Tests settings
[pycodestyle]
count = True
# https://pycodestyle.pycqa.org/en/latest/intro.html#error-codes
ignore = E303,W293,E241,W503,E701
max-line-length = 100
max-doc-length = 100
exclude = lti_app/migrations/*,lti_app/tests/*
